Get list of profiles
curl --request GET \
--url https://api.publishbuddy.com/v1/workspaces/{workspace}/profiles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.publishbuddy.com/v1/workspaces/{workspace}/profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.publishbuddy.com/v1/workspaces/{workspace}/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.publishbuddy.com/v1/workspaces/{workspace}/profiles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.publishbuddy.com/v1/workspaces/{workspace}/profiles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.publishbuddy.com/v1/workspaces/{workspace}/profiles")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.publishbuddy.com/v1/workspaces/{workspace}/profiles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"name": "<string>",
"network": "<string>",
"avatar": "<string>",
"social_id": "<string>",
"workspace_id": "<string>",
"profile_type": "<string>",
"own_type": "workspace",
"connected": true,
"status": "inactive",
"synchronization_status": "synchronization_in_process",
"has_queue": true,
"entities": [
{
"id": "<string>",
"name": "<string>",
"about": "<string>",
"image": {
"link": "<string>"
},
"social_id": "<string>",
"social_profile_entity_type": {
"name": "<string>"
}
}
]
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 123,
"from": 123,
"last_page": 123,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 123,
"to": 123,
"total": 123
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Profiles
Get list of profiles
GET
/
workspaces
/
{workspace}
/
profiles
Get list of profiles
curl --request GET \
--url https://api.publishbuddy.com/v1/workspaces/{workspace}/profiles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.publishbuddy.com/v1/workspaces/{workspace}/profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.publishbuddy.com/v1/workspaces/{workspace}/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.publishbuddy.com/v1/workspaces/{workspace}/profiles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.publishbuddy.com/v1/workspaces/{workspace}/profiles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.publishbuddy.com/v1/workspaces/{workspace}/profiles")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.publishbuddy.com/v1/workspaces/{workspace}/profiles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"name": "<string>",
"network": "<string>",
"avatar": "<string>",
"social_id": "<string>",
"workspace_id": "<string>",
"profile_type": "<string>",
"own_type": "workspace",
"connected": true,
"status": "inactive",
"synchronization_status": "synchronization_in_process",
"has_queue": true,
"entities": [
{
"id": "<string>",
"name": "<string>",
"about": "<string>",
"image": {
"link": "<string>"
},
"social_id": "<string>",
"social_profile_entity_type": {
"name": "<string>"
}
}
]
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 123,
"from": 123,
"last_page": 123,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 123,
"to": 123,
"total": 123
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Authorizations
Personal access token, sent as Authorization: Bearer <token>.
Path Parameters
The workspace UUID
Query Parameters
Sort order: name, -name, created_at, -created_at (prefix - for descending). Default: created_at, oldest first.
Available options:
name, -name, created_at, -created_at Number of elements per page
Required range:
1 <= x <= 100Requested page number
Required range:
x >= 1